Show / Hide Table of Contents

# Class OpenIddictExceptions.ConcurrencyException

Represents an OpenIddict concurrency exception.

##### Inheritance

System.Object
System.Exception
OpenIddictExceptions.ConcurrencyException

##### Implements

System.Runtime.Serialization.ISerializable
System.Runtime.InteropServices._Exception

##### Inherited Members

System.Exception.GetBaseException()
System.Exception.ToString()
System.Exception.GetObjectData(System.Runtime.Serialization.SerializationInfo, System.Runtime.Serialization.StreamingContext)
System.Exception.GetType()
System.Exception.Message
System.Exception.Data
System.Exception.InnerException
System.Exception.TargetSite
System.Exception.StackTrace
System.Exception.HelpLink
System.Exception.Source
System.Exception.HResult
System.Exception.SerializeObjectState
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Abstractions

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class ConcurrencyException : Exception, ISerializable, _Exception

### Constructors

#### ConcurrencyException(String)

Creates a new OpenIddictExceptions.ConcurrencyException.

##### Declaration

    public ConcurrencyException(string message)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | message | The exception message.

#### ConcurrencyException(String, Exception)

Creates a new OpenIddictExceptions.ConcurrencyException.

##### Declaration

    public ConcurrencyException(string message, Exception exception)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | message | The exception message.
System.Exception | exception | The inner exception.

### Implements

System.Runtime.Serialization.ISerializable
System.Runtime.InteropServices._Exception